Open SCAP Library

Data Structures | Macros | Functions | Variables
fileextendedattribute.c File Reference

fileextendedattribute probe More...

`#include <seap.h>`
`#include <probe-api.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <pthread.h>`
`#include <errno.h>`
`#include <limits.h>`
`#include <sys/types.h>`
`#include <attr/xattr.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include "probe/entcmp.h"`
`#include "oval_fts.h"`
`#include "common/debug_priv.h"`

## Data Structures
struct | cbargs

## Macros
#define | PATH_MAX 4096
#define | FILE_SEPARATOR '/'

## Functions
int | probe_offline_mode_supported ()
| In this function can be set supported type of offline mode.
void * | probe_init (void)
| Dummy probe_fini function.
void | probe_fini (void *arg)
| Dummy probe_fini function.
int | probe_main (probe_ctx *ctx, void *mutex)

## Variables
SEXP_t | gr_lastpath

## Detailed Description

fileextendedattribute probe

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m